package com.seeyon.apps.bip;

import com.seeyon.apps.bip.constants.BipConstants;
import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;

/**
 * 功能描述:<br>
 * <pre>
 *
 * </pre>
 *
 * @Author: FanGaowei
 * @Date: 2022/12/1
 */
public class NccPluginApi extends APluginInfoApi {

    @Override
    public String getPluginId() {
        return BipConstants.getPluginId();
    }

    @Override
    public String getCreateUser() {
        return "致威互联";
    }

    @Override
    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        for (BipConstants value : BipConstants.values()) {
            if(value != BipConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }
        return configVo;
    }
}
